Bug 15699 - kdeinit consistently drops core
kdeinit consistently drops core
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-07 23:53 EDT by Michal Jaegermann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 13:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages left on a console screen by KDE (898 bytes, text/plain)
2000-08-07 23:55 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2000-08-07 23:53:15 EDT
On a machine where "everything" was installed an attempt to start KDE
(on a 'root' account - there is no other account on a test box in this
moment) constitently leaves 2240512 bytes of core and a progress bar
on KDE startup at 33%.

'gdb' provides the following information from 'core':
Core was generated by `kdeinit: konquero'.
Program terminated with signal 11, Segmentation fault.
#0  0x4000bf0b in ?? ()

Attached is all text I managed to grab from a screen.  I could not
find anything else in other locations.

The machine is 750 MHz Athlon with 128 MB of memory and Matrox G400
AGP (16 MB of video memory) graphics card configured by Anaconda to
use SVGA server from 3.3.6 version of XFree86.

   Michal
   michal@harddata.com
Comment 1 Michal Jaegermann 2000-08-07 23:55:59 EDT
Created attachment 2235 [details]
messages left on a console screen by KDE
Comment 2 Bernhard Rosenkraenzer 2000-08-08 04:37:16 EDT
It's actually an autorun problem - rpm -e autorun fixes it.
It's also fixed in the current version.
Comment 3 Michal Jaegermann 2000-08-08 13:15:34 EDT
I am afraid that an experiment contradicts that this is 'autorun' fault.
After 'rpm -e autorun', a check that no 'autorun' process was left around
and removal of an old ~/.kde  I have still KDE stuck at the same 33% 
progress bar for "Session" as before and a message on a console which looks
the same as before.

The only difference is that now a toolbar showed up at a screen bottom
with an empty main menu, a box in a middle of screen has all buttons
light green, and there is a bunch of icons on a toolbar which only reacts
with alerts that things like "file:/usr/share/applnk//Home.desktop"
(note double slash) does not exist.  Indeed, it does not.
Comment 4 Bernhard Rosenkraenzer 2000-08-09 05:49:16 EDT
That's the other bug that was fixed in rawhide. You can work around that by
opening any KDE app and logging out; the next time you start KDE it will work.

Note You need to log in before you can comment on or make changes to this bug.